#!/bin/bash
# Script Name:  logs-delete.v1.sh
# Beschreibung: deletes logs that are older than a specified time period
# Aufruf:       bash ./logs-delete.v1.sh
# Autor:        Patrick Asmus
# Web:          https://www.media-techport.de
# Git-Reposit.: https://git.media-techport.de/scriptos/linux-helferlein-scripte.git
# Version:      1.0.1
# Datum:        02.03.2024
# Modifikation: wording adapted
#####################################################

# Variablen
LOG_DIR="/var/log"
DAYS_TO_KEEP=60

# lösche alte Log Files
find "$LOG_DIR" -type f -mtime +"$DAYS_TO_KEEP" -delete

# lösche Verzeichnisse, falls leer
find "$LOG_DIR" -type d -empty -delete
exit